Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           libwiimote
Summary:	Simple Wiimote Library for Linux
URL:		http://libwiimote.sourceforge.net/
License:	GNU/GPL
Version:	0.4
Release:	1
#Epoch:		0
Group:		System/Configuration/Hardware
BuildRoot:      %{_tmppath}/%{name}-buildroot
# Sources:
Source:		%{name}-%{version}.tgz
Patch0:		libwiimote-0.4-bluez4.patch
Patch1:		libwiimote-0.4-includedir.patch
Patch2:		libwiimote-0.4-dso-symlinks.patch
Patch3:		libwiimote-0.4-soname.patch
	
BuildRequires: bluez-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Libwiimote is a simple C library for communicating with the Nintendo Wii Remote on a Linux system. Even though the API strives to be minimal, it provides complete control over most features of the wiimote, nunchuk and classic controllers.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig
%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoconf
./configure --prefix=%_prefix \
	    --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4-1
- initial CCux package release
